dart6 (6.10.0~osrf19~20210610~bionic~175596b511adb55d831c0c3401ef50e2cb96a6f3) bionic; urgency=medium

  [ Jose Luis Rivero ]
  * Fix PPA URI in Releasing

  [ Michael Carroll ]
  * Fix bazel config file generation for 6.10 (#25)

  [ Addisu Z. Taddese ]
  * Fix FreeJoint velocity and position integration for articulated bodies (#28)

  [ Jose Luis Rivero ]
  * Include DISTRO in version when releasing to avoid problems between distributions (#29)

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 10 Jun 2021 09:59:56 -0500

dart6 (6.10.0~osrf6~2021-05-19~aa14d45de93afc814f19ccb6cedcd5157d1dbe6d) bionic; urgency=medium

  * New OSRF release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 19 May 2021 18:46:40 +0200

dart6 (6.10.0~osrf6~2020-09-16~12cdfb8c2c8f471800666d086c981dd448f0edc3) bionic; urgency=medium

  [ Addisu Taddese ]
  * Fix grouping of contact constraints (#6)

  [ Steven Peters ]
  * Support colcon workspace with bullet and ode (#1389)

  [ Addisu Z. Taddese ]
  * Implement force dependent slip
  * Non ABI breaking FDS implementation
  * Make functions private. Add "primary" to function names since that will likely be added when upstreaming
  * Move where contact counts are incremented
  * Add tests
  * Add test with a body with offset COM
  * Fix velocity and position integration when the COM is offset. Apply fix to constraint updates
  * Style
  * Reveiwer feedback
  * Tighten tolerances
  * Do not assume order of contact pairs

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 16 Sep 2020 01:05:45 +0200

dart6 (6.10.0~osrf6~2020-06-10~da7758ae4b7a388f20ad3a2247cc860eca5c85e4) bionic; urgency=medium

  *  Fix grouping of contact constraints PR

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 10 Jun 2020 20:43:11 +0200

dart6 (6.10.0~osrf5~2020-04-03~711dde3cb8f4f066f51ab62db94922095e4f8bc8) bionic; urgency=medium

  * Fix testing

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 04 Apr 2020 17:58:21 +0200

dart6 (6.10.0~osrf4~2020-04-03~711dde3cb8f4f066f51ab62db94922095e4f8bc8) bionic; urgency=medium

  * New OSRF testing release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Apr 2020 19:26:46 +0200

dart6 (6.10.0~osrf3~2020-02-10~31a54cd83414bab3af463deb0dc212f0cdbcf89f) bionic; urgency=low

  * New OSRF testing release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 10 Feb 2020 17:25:32 +0100

dart6 (6.10.0~osrf2~20190718~fdde7e7894ebc36bae8811f7a63e5b1c899bb4af) bionic; urgency=low

  * OSRF testing release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 18 Jul 2019 10:48:44 +0000

dart6 (6.10.0~osrf1~20190718~fdde7e7894ebc36bae8811f7a63e5b1c899bb4af) bionic; urgency=low

  * OSRF testing release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 18 Jul 2019 10:48:44 +0000

dart6 (6.9.1-1873~201906071048~ubuntu18.04.1) bionic; urgency=low

  * Auto build.

 -- Launchpad Package Builder <noreply@launchpad.net>  Fri, 07 Jun 2019 10:48:44 +0000

dart6 (6.9.1-0~bionic) bionic; urgency=medium

  * dart6 6.9.1-0 release

 -- Jeongseok Lee <jslee02@gmail.com>  Thu, 06 Jun 2019 03:51:26 -0700

dart6 (6.9.0-2~bionic) bionic; urgency=medium

  * dart6 6.9.0-2 release

 -- Jeongseok Lee <jslee02@gmail.com>  Sun, 26 May 2019 20:40:14 -0700

dart6 (6.9.0-1~bionic) bionic; urgency=medium

  * dart6 6.9.0-1 release

 -- Jeongseok Lee <jslee02@gmail.com>  Sun, 26 May 2019 20:33:02 -0700

dart6 (6.9.0-0~bionic) bionic; urgency=medium

  * dart6 6.9.0-0 release

 -- Jeongseok Lee <jslee02@gmail.com>  Sun, 26 May 2019 19:57:14 -0700

dart6 (6.8.5-0~bionic) bionic; urgency=medium

  * dart6 6.8.5-0 release

 -- Jeongseok Lee <jslee02@gmail.com>  Sun, 26 May 2019 19:49:39 -0700

dart6 (6.8.4-0~bionic) bionic; urgency=medium

  * dart6 6.8.4-0 release

 -- Jeongseok Lee <jslee02@gmail.com>  Fri, 03 May 2019 16:43:06 -0700

dart6 (6.8.3-0~bionic) bionic; urgency=medium

  * dart6 6.8.3-0 release

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 01 May 2019 05:47:27 -0700

dart6 (6.8.2-1~bionic) bionic; urgency=medium

  * dart6 6.8.2-1 release

 -- Jeongseok Lee <jslee02@gmail.com>  Tue, 30 Apr 2019 05:29:45 -0700

dart6 (6.8.2-0~bionic) bionic; urgency=medium

  * dart6 6.8.2-0 release

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 24 Apr 2019 16:14:32 -0700

dart6 (6.8.1-0~bionic) bionic; urgency=medium

  * dart6 6.8.1-0 release

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 24 Apr 2019 07:28:51 -0700

dart6 (6.7.2~bionic) bionic; urgency=medium

  * Please see the changelog here: https://github.com/dartsim/dart/blob/master/CHANGELOG.md

 -- Jeongseok Lee <jslee02@gmail.com>  Tue, 15 Jan 2019 23:59:00 -0700

dart6 (6.7.0) unstable; urgency=medium

  * Please see the changelog here: https://github.com/dartsim/dart/blob/master/CHANGELOG.md

 -- Jeongseok Lee <jslee02@gmail.com>  Thu, 10 Jan 2019 23:59:00 -0700

dart6 (6.6.1) unstable; urgency=medium

  * Please see the changelog here: https://github.com/dartsim/dart/blob/master/CHANGELOG.md

 -- Jeongseok Lee <jslee02@gmail.com>  Sat, 04 Aug 2018 23:59:00 -0700

dart6 (6.6.0) unstable; urgency=medium

  * Please see the changelog here: https://github.com/dartsim/dart/blob/master/CHANGELOG.md

 -- Jeongseok Lee <jslee02@gmail.com>  Thu, 02 Aug 2018 23:59:00 -0700

dart6 (6.5.0.ppa0~bionic) bionic; urgency=medium

  * Please see the changelog here: https://github.com/dartsim/dart/blob/master/CHANGELOG.md

 -- Jeongseok Lee <jslee02@gmail.com>  Fri, 12 May 2018 23:59:00 -0700

dart6 (6.4.0.ppa0~bionic) bionic; urgency=medium

  * Please see the changelog here: https://github.com/dartsim/dart/blob/master/CHANGELOG.md

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 26 Mar 2018 23:59:00 -0700

dart6 (6.3.0.ppa4~artful) artful; urgency=medium

  * Please see the changelog here: https://github.com/dartsim/dart/blob/master/CHANGELOG.md

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 04 Oct 2017 23:59:00 -0700

dart6 (6.2.1) unstable; urgency=medium

  * Fixed collision checking between objects from the same body node
  * Fixed transform of ScrewJoint with thread pitch
  * Fixed incorrect reading of <use_parent_model_frame> from SDF
  * Fixed missing reading of joint friction from URDF
  * Fixed testing ODE collision detector on macOS
  * Removed redundant main body for each test source file
  * Fixed build of dart-gui-osg that depends on the presence of OSG
  * Fixed build of examples and tutorials on macOS
  * Fixed missing overriding method OdePlane::isPlaceable()
  * Replaced use of enum by static constexpr

 -- Jeongseok Lee <jslee02@gmail.com>  Tue, 08 Aug 2017 23:59:00 -0800

dart6 (6.2.0) unstable; urgency=medium

  * Added support of ODE collision detector
  * Added MotionBlurSimWindow
  * Fixed various bugs

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 15 May 2017 23:59:00 -0500

dart6 (6.1.2) unstable; urgency=medium

  * Fixed bug of ContactConstraint with kinematic joints
  * Fixed that ZeroDofJoint::getIndexInTree was called

 -- Jeongseok Lee <jslee02@gmail.com>  Fri, 13 Jan 2017 23:59:00 -0500

dart6 (6.1.1) unstable; urgency=medium

  * Modified to build DART without SIMD options by default
  * Modified to build external libraries as separately build targets
  * Modified to export CMake target files separately per target
  * Updated lodepng up to version 20160501

 -- Jeongseok Lee <jslee02@gmail.com>  Fri, 14 Oct 2016 23:59:00 -0500

dart6 (6.1.0) unstable; urgency=medium

  * Added 'computeLagrangian()' to 'MetaSkeleton' and 'BodyNode'
  * Added new shapes: sphere, capsule, cone, and multi-sphere
  * Changed base class of joint from SingleDofJoint/MultiDofJoint to GenericJoint
  * Fixed incorrect linking to flann library
  * Added 'sdf' parsing for 'fixed' joint and 'material' tag of visual shape
  * Added support of urdfdom_headers 1.0
  * Added ImGui for 2D graphical interface
  * Added osgAtlasSimbicon and osgTinkertoy
  * Added 'virtual Shape::getType()' and deprecated 'ShapeType Shape::getShapeType()'
  * Changed building with SIMD optional
  * Fixed minor build and install issues
  * Fixed Doxyfile to show missing member functions in API documentation
  * Fixed typo

 -- Jeongseok Lee <jslee02@gmail.com>  Fri, 07 Oct 2016 12:00:00 -0500

dart6 (6.0.1) unstable; urgency=medium

  * Added support of FCL 0.5 and tinyxml2 4.0
  * Added warnings for unsupported shape pairs of DARTCollisionDetector
  * Fixed total mass is not being updated when bodies removed from Skeleton
  * Renamed DEPRECATED and FORCEINLINE to DART_DEPRECATED and DART_FORCEINLINE to avoid name conflicts
  * Updated copyright - added CMU to copyright holder, moved individual contributors to CONTRIBUTING.md

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 29 Jun 2016 00:00:00 -0500

dart6 (6.0.0) unstable; urgency=medium

  * Added 'Node', 'Aspect', 'State', and 'Properties'
  * Added mathematical constants and user-defined literals for radian, degree, and pi
  * Added 'ShapeFrame' and 'ShapeNode'
  * Added 'BoundingBox'
  * Added convenient functions for setting joint limits
  * Added more description on 'InverseKinematics::solve()'
  * Added API for utilizing analytical inverse kinematics
  * Added color property to 'Marker'
  * Improved 'Skeleton' to clone 'State' as well
  * Improved 'ReferentialSkeleton' to be able to add and remove 'BodyNode's and 'DegreeOfFreedom's to/from 'Group's freely
  * Changed 'Marker' into 'Node'
  * Renamed 'Joint::get/setLocal[~]' to 'Joint::get/setRelative[~]'
  * Renamed 'PositionLimited' to 'PositionLimitEnforced'
  * Fixed initialization of joint position and velocity
  * Fixed 'InverseKinematics' when it's used with 'FreeJoint' and 'BallJoint'
  * Fixed ambiguous overload on 'MetaSkeleton::getLinearJacobianDeriv'
  * Added 'get/setLCPSolver' functions to 'ConstraintSolver'
  * Added 'ServoMotorConstraint' as a preliminary implementation for 'SERVO' actuator type
  * Improved 'ConstraintSolver' to obey C++11 ownership conventions
  * Fixed segfualting of 'DantzigLCPSolver' when the constraint dimension is zero
  * Fixed missing implementations in ConstrainedGroup
  * Fixed incorrect applying of joint constraint impulses
  * Deprecated 'draw()' functions of dynamics classes
  * Added 'CollisionGroup' and refactored 'CollisionDetector' to be more versatile
  * Improved API for self collision checking options
  * Deprecated 'BodyNode::isColliding'; collision sets are moved to 'CollisionResult'
  * Added back VSK parser
  * Fixed segfault of 'SdfParser' when 'nullptr' 'ResourceRetriever' is passed
  * Merged 'renderer' namespace into 'gui' namespace
  * Moved 'osgDart' under 'dart::gui' namespace as 'dart::gui::osg'
  * Fixed GlutWindow::screenshot()
  * Fixed 'World::clone()' didn't clone the collision detector
  * Fixed bug of 'World' concurrency
  * Added 'make_unique<T>' that was omitted from C++11
  * Added missing 'override' keywords
  * Added gcc warning flag '-Wextra'
  * Improved memory management of 'constraint' namespace
  * Changed the extension of headers from '.h' to '.hpp'
  * Changed Doxyfile to gnerate tag file
  * Changed the convention to use 'std::size_t' over 'size_t'
  * Changed CMake to configure preprocessors using '#cmakedefine'
  * Updated copyright years
  * Renamed directory name 'apps' to 'examples'
  * Fixed warnings of unused variables in release mode
  * Fixed typo of 'getNumPluralAddoName' in utility macro
  * Fixed linker error by adding namespace-scope definitions for 'constexpr static' members
  * Fixed segfault from nullptr meshes
  * Fixed typo of tutorial with minor improvements
  * Fixed 'NameManager<T>::removeEntries(~)' called a function that does not exist
  * Fixed missing definitions for various functions
  * Fixed const correctness of 'BodyNode::getMomentsOfInertia()'
  * Fixed 'ftel' bug in Linux with an workaround
  * Removed unnecessary 'virtual' keyword for overriding functions
  * Removed deprecated APIs in DART 5
  * Added CMake target for code coverage testing, and automatic reporting
  * Added missing 'liburdfdom-dev' dependency in Ubuntu package
  * Modulized DART libraries
  * Improved Travis-CI script
  * Improved CMake script by splitting tutorials, examples, and tests into separate targets
  * Improved wording of the cmake warning messages for ASSIMP
  * Changed Travis-CI to treat warning as errors using '-Werror' flags
  * Changed Travis-CI to test DART with bullet collision detector
  * Changed the minimum requirement of Visual Studio version to 2015
  * Changed CMake to build gui::osg examples when 'DART_BUILD_EXAMPLES' is on
  * Simplfied Travis-CI tests for general pushes
  * Fixed Eigen memory alignment issue in testCollision.cpp
  * Fixed 'BULLET_INCLUDE_DIRS' in 'DARTConfig.cmake'
  * Fixed linking with Bullet on OS X El Capitan by supporting for Bullet built with double precision
  * Fixed FCL version check logic in the main 'CMakeLists.txt'
  * Fixed 'find_package(DART)' on optimizer components
  * Fixed linking against '${DART_LIBRARIES}' not working in Ubuntu 14.04
  * Fixed Visual Studio 2015 build errors
  * Removed OpenGL dependency from 'dart' library
  * Removed version check for Bullet

 -- Jeongseok Lee <jslee02@gmail.com>  Tue, 10 May 2016 12:00:00 -0500

dart5 (5.1.3) unstable; urgency=medium

  * Updated to support Bullet built with double precision (backport of #660)
  * Modified to use btGImpactMeshShape instead of btConvexTriangleMeshShape for mesh
  * Updated to support FCL 0.5 and tinyxml 4.0 (backport of #749)

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 25 Apr 2016 00:00:00 -0500

dart5 (5.1.2) unstable; urgency=medium

  * Fixed inverse kinematics (backporting)
  * Fixed aligned memory allocation with Eigen objects in loading meshes
  * Fixed incorrect applying joint constraint impulses (backporting)
  * Fixed some build and packaging issues

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 25 Apr 2016 00:00:00 -0500

dart (5.1.1) unstable; urgency=medium

  * Add bullet dependency to package.xml
  * Improved handling of missing symbols of Assimp package
  * Improved travis-ci build log for Mac
  * Fixed warnings in Function.cpp
  * Fixed build failures on AppVeyor
  * Fixed const qualification of ResourceRetriever
  * Fixed aligned memory allocation with Eigen objects
  * Fixed copy safety for various classes

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 06 Nov 2015 00:00:00 -0500

dart (5.1.0) unstable; urgency=medium

  * Fixed incorrect rotational motion of BallJoint and FreeJoint
  * Removed old documents: dart-tutorial, programmingGuide
  * Fixed aligned memory allocation with Eigen objects
  * Fixed segfault in Linkage::Criteria
  * Improved sdf/urdf parser
  * Fixed CMake warnings
  * Fixed build issues on Windows
  * Fixed IpoptSolver bugs
  * Added Frame::getTransform(withRespecTo, inCoordinatesOf)
  * Improved API documentation -- set the SHOW_USED_FILES tag to NO
  * Added convenience setters for generalized coordinates of FreeJoint
  * Fixed compilation warnings
  * Added a mutex to Skeleton
  * Added generic URIs support
  * Added End Effector, Inverse Kinematics, and osgDart
  * Removed outdated packaging scripts
  * Added initial position and initial velocity properties
  * Added a package.xml file for REP-136 support
  * Improved Linkage and Chain Criteria
  * Added Joint::isCyclic to mark SO(2) topology
  * Fixed SEGFAULTs in DartLoader
  * Added the SYSTEM flag to include_directories
  * Improved Joint warning
  * Added tutorials (http://dart.readthedocs.org/)

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 15 Oct 2015 01:00:00 -0500

dart (5.0.2) unstable; urgency=medium

  * Fixed bug in Jacobian update notifications

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 28 Sep 2015 12:00:00 -0500

dart (5.0.1) unstable; urgency=low

  * Improved app indexing for bipedStand and atlasSimbicon
  * Added clipping command when it exceeds the limits
  * Improved CollisionNode's index validity check
  * Standardized warning messages for Joints
  * Fixed bug in SDF parser -- correct child for a joint
  * Fixed SDF parsing for single link model without joint
  * Added missing virtual destructors to Properties in Entity and [Soft]BodyNode
  * Limited maximum required version of Assimp less than 3.0~dfsg-4
  * Fixed SEGFAULTs in DartLoader

 -- Jeongseok Lee <jslee02@gmail.com>  Tue, 28 Jul 2015 03:00:00 -0500

dart (5.0.0) unstable; urgency=low

  * Fixed aligned memory allocation with Eigen objects
  * Added some missing API for DegreeOfFreedom
  * Replaced logMaps with Eigen::AngleAxisd
  * Improved FCL collision detector
  * Removed deprecated API and suppressed warnings
  * Added use of OpenGL's multisample anti-aliasing
  * Added computation of differences of generalized coordinates
  * Added deprecated and force-linline definitions for clang
  * Eradicated memory leaks and maked classes copy-safe and clonable
  * Improved PlaneShape constructors
  * Added appveyor options for parallel build and detailed log
  * Improved robustness and package handling for URDF parsing
  * Fixed bug in BodyNode::_updateBodyJacobianSpatialDeriv()
  * Added alpha channel and Color functions
  * Added Jacobian getters to Skeleton
  * Added ArrowShape for visualizing arrows
  * Fixed matrix dimension bug in operationalSpaceControl app
  * Added build type definitions
  * Added Signal class
  * Added LineSegmentShape for visualizing line segments
  * Fixed segfault in SoftSdfParser
  * Added subscriptions for destructions and notifications
  * Added NloptSolver::[get/set]NumMaxEvaluations()
  * Added support of Eigen::VectorXd in parser
  * Added Skeleton::getNumJoints()
  * Fixed bug in DARTCollide for sphere-sphere collision
  * Fixed naming issues for Skeletons in World
  * Added PlanarJoint support for URDF loader
  * Fixed rotation of the inertia reference frame for URDF loader
  * Fixed bug in loading WorldFile
  * Added plotting of 2D trajectories
  * Removed unsupported axis orders of EulerJoint
  * Added convenience functions to help with setting joint positions
  * Added Frame class and auto-updating for forward kinematics
  * Added Travis-CI build test for OSX
  * Added specification of minimum dependency version

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 15 Jun 2015 23:40:00 -0500

dart4 (4.3.6) unstable; urgency=medium

  * Fixed duplicate entries in Skeleton::mBodyNodes causing segfault in destructor

 -- Jeongseok Lee <jslee02@gmail.com>  Sat, 16 Apr 2016 12:00:00 -0500

dart4 (4.3.5) unstable; urgency=medium

  * Fixed incorrect applying of joint constraint impulses (backported from 6.0.0)

 -- Jeongseok Lee <jslee02@gmail.com>  Sat, 9 Jan 2015 12:00:00 -0500

dart (4.3.4) unstable; urgency=low

  * Fixed build issue with gtest on Mac

 -- Jeongseok Lee <jslee02@gmail.com>  Sat, 24 Jan 2015 13:00:00 -0500

dart (4.3.3) unstable; urgency=low

  * Fixed joint Coulomb friction

 -- Jeongseok Lee <jslee02@gmail.com>  Fri, 23 Jan 2015 19:00:00 -0500

dart (4.3.2) unstable; urgency=low

  * Fixed installation -- missing headers (utils/urdf, utils/sdf)

 -- Jeongseok Lee <jslee02@gmail.com>  Thu, 22 Jan 2015 10:00:00 -0500

dart (4.3.1) unstable; urgency=low

  * Fixed API incompatibility introduced by dart-4.3.0

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 21 Jan 2015 22:00:00 -0500

dart (4.3.0) unstable; urgency=low

  * Added name manager for efficient name look-up and unique naming
  * Added all-inclusive header and namespace headers
  * Added DegreeOfFreedom class for getting/setting data of individual generalized coordinates
  * Added hybrid dynamics
  * Added joint actuator types
  * Added Coulomb joint friction
  * Migrated to C++11
  * Improved readability of CMake output messages
  * Fixed const-correctneess of member functions

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 19 Jan 2015 14:00:00 -0500

dart (4.2.1) unstable; urgency=low

  * Fixed version numbering of shared libraries in debian packages
  * Fixed Jacobian and its derivatives of FreeJoint/BallJoint

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 7 Jan 2015 02:00:00 -0500

dart (4.2.0) unstable; urgency=low

  * Added reset functions for Simulation and Recording class
  * Added operational space control example
  * Fixed misuse of Bullet collision shapes
  * Fixed adjacent body pair check for Bullet collision detector
  * Fixed incorrect computation of constraint impulse for BallJointConstraint and WeldJointContraint
  * Improved generation of soft box shape for soft body

 -- Jeongseok Lee <jslee02@gmail.com>  Sat, 22 Nov 2014 02:00:00 -0500

dart (4.1.1) unstable; urgency=low

  * Added ABI check script
  * Fixed build issues on Linux
  * Fixed build issues on Windows
  * Fixed unintended warning messages

 -- Jeongseok Lee <jslee02@gmail.com>  Thu, 17 Jul 2014 23:00:00 -0500

dart (4.1.0) unstable; urgency=low

  * Fixed bug in switching collision detectors
  * Fixed kinematics and dynamics when a skeleton has multiple parent-less bodies
  * Fixed issue on installing DART 4 alongside DART 3 on Linux
  * Fixed warnings on gcc
  * Renamed getDof() to getNumDofs()
  * Added cylinder shape for soft body

 -- Jeongseok Lee <jslee02@gmail.com>  Wed, 02 Jul 2014 20:00:00 -0500

dart (4.0.0) unstable; urgency=low

  * Added implicit joint spring force and damping force
  * Added planar joint
  * Added soft body dynamics
  * Added computation of velocity and acceleration of COM
  * Added bullet collision detector
  * Improved performance of forward dynamics algorithm
  * Improved dynamics API for Skeleton and Joint
  * Improved constraint dynamics solver
  * Improved calculation of equations of motion using Featherstone algorithm
  * Improved optimizer interface and added nlopt solver
  * Fixed self collision bug
  * Fixed incorrect integration of BallJoint and FreeJoint

 -- Jeongseok Lee <jslee02@gmail.com>  Mon, 02 Jun 2014 10:00:00 -0500

dart (3.0.0) unstable; urgency=low

  * Remove Transformation classes. Their functionality is now included in joint
    classes.
  * Add Featherstone algorithm. Can currently only be used without collision
    handling. The old algortihm is still present and used for that case.
  * Remove kinematics namespace. Functionality is moved to dynamics classes.
  * Add dart root namespace
  * A lot of function and variable renames
  * Add constraint namespace
  * Some parsers, unit tests and apps have not been adapted to the changes yet
    and are therefore currently excluded from building.
  * Add "common" namespace

 -- Tobias Kunz <tobias@gatech.edu>  Fri, 11 Oct 2013 22:00:00 -0400
